# $Revision: 1.23 $, $Date: 2008/12/25 20:45:10 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons Digester - XML to Java object mapping
Summary(pl.UTF-8):	Commons Digester - odwzorowanie XML-a na obiekty Javy
Name:		java-commons-digester
Version:	1.7
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/digester/source/commons-digester-%{version}-src.tar.gz
# Source0-md5:	718f91f6958da865826bca455f644076
URL:		http://commons.apache.org/digester/
BuildRequires:	ant
BuildRequires:	java-commons-beanutils
BuildRequires:	java-commons-collections
BuildRequires:	java-commons-logging
BuildRequires:	jdk >= 1.2
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-commons-beanutils
Requires:	java-commons-collections
Requires:	java-commons-logging
Requires:	jpackage-utils
Provides:	jakarta-commons-digester
Obsoletes:	jakarta-commons-digester
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This scope of the Digester component is primarily oriented to XML ->
Java object mapping.

A Digester processes an XML input stream by matching a series of
element nesting patterns to execute Rules that have been added prior
to the start of parsing. This package was inspired by the XmlMapper
class that was part of Tomcat 3.0 and 3.1, but is organized somewhat
differently.

%description -l pl.UTF-8
Zakresem działania komponentu Digester jest zorientowany głównie na
odwzorowywanie XML-a na obiekty Javy.

Digester przetwarza strumień wejściowy XML dopasowując serie wzorców
zagnieżdżania elementów, aby wykonywać reguły dodane przed
rozpoczęciem analizy. Ten pakiet był zainspirowany klasą XmlMapper,
która była częścią Tomcata 3.0 i 3.1, ale jest zorganizowany nieco
inaczej.

%package javadoc
Summary:	Commons Digester documentation
Summary(pl.UTF-8):	Dokumentacja do Commons Digester
Group:		Documentation
Provides:	jakarta-commons-digester-javadoc
Obsoletes:	jakarta-commons-digester-doc
Obsoletes:	jakarta-commons-digester-javadoc

%description javadoc
Commons Digester documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Digester.

%prep
%setup -q -n commons-digester-%{version}-src

%build
required_jars="commons-beanutils-core commons-collections commons-logging"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
%ant dist

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a dist/commons-digester.jar $RPM_BUILD_ROOT%{_javadir}/commons-digester-%{version}.jar
ln -s commons-digester-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-digester.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt RELEASE-NOTES.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-digester.spec,v $
Revision 1.23  2008/12/25 20:45:10  pawelz
- correct URL

Revision 1.22  2008/12/25 19:53:37  pawelz
- added Provides/Obsoletes old name in subpackage

Revision 1.21  2008/12/25 19:52:13  pawelz
- s/jakarta/java/ in dependencies
- new URLs
- it is no longer part of Jakarta project

Revision 1.20  2008/12/25 19:41:07  pawelz
- it requires commons-beanutils-core.jar, not commons-beanutils.jar

Revision 1.19  2008/11/23 23:39:25  glen
- rename to java-commons-digester.spec

Revision 1.18  2007-12-13 23:23:10  glen
- simplify install

Revision 1.17  2007-12-13 23:20:42  glen
- unify java package

Revision 1.16  2007-04-09 21:34:08  glen
- Group Documentation for -javadoc

Revision 1.15  2007/04/09 21:16:57  qboosh
- no macro in Obsoletes for old package

Revision 1.14  2007/04/09 21:00:56  glen
- unify java package

Revision 1.13  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.11  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.10  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.9  2005/06/13 10:39:12  undefine
- up to 1.7

Revision 1.8  2005/05/08 17:21:12  qboosh
- updated to 1.6, more specific URL

Revision 1.7  2004/07/15 13:55:48  pluto
- updated to 1.5.

Revision 1.6  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.5  2003/06/25 08:50:12  pascalek
- Release 2
- building simplified
- BR: commons-beanutils, commons-collections
- Req: commons-logging
- now javadoc know where commons jars are stored

Revision 1.4  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/26 10:17:47  qboosh
- enhanced descriptions and dependencies
- tarball contains some junk in main directory - use setup -c

Revision 1.1  2003/03/06 07:59:03  misiek
- initial pld relase
